Auth

Reset a password from the Sign In page

After a client is forced to reset their password by the admin, use this method to start a password reset procedure for the client.

POST
/api/v2/my/signin/password/restore

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/signin/password/restore" \  -H "Content-Type: application/json" \  -d '{}'
{  "code": 200,  "data": null,  "done": true,  "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732",  "workflow": "reset_password"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}